-- -
-- #%L
-- %%
-- Copyright (C) 2005 - 2021 Kuali, Inc. - All Rights Reserved
-- %%
-- You may use and modify this code under the terms of the Kuali, Inc.
-- Pre-Release License Agreement. You may not distribute it.
--
-- You should have received a copy of the Kuali, Inc. Pre-Release License
-- Agreement with this file. If not, please write to license@kuali.co.
-- #L%
-- -
-- update primary keys in colostate
SET FOREIGN_KEY_CHECKS = 0;

SET @funcId = (SELECT FUNC_ID FROM KRMS_FUNC_T WHERE nm = 'countContactsByUnitAdministratorType' AND nmspc_cd = 'KC-AWARD');
UPDATE KRMS_FUNC_T SET FUNC_ID = 'RES-BOOT10064' WHERE FUNC_ID = @funcId;
UPDATE KRMS_FUNC_PARM_T SET FUNC_ID = 'RES-BOOT10064' WHERE FUNC_ID = @funcId;
UPDATE KRMS_TERM_SPEC_T SET nm = 'RES-BOOT10064' WHERE nm = @funcId;

SET FOREIGN_KEY_CHECKS = 1;

-- create function
SET FOREIGN_KEY_CHECKS = 0;

REPLACE INTO KRMS_FUNC_T (FUNC_ID, NMSPC_CD, NM, DESC_TXT, RTRN_TYP, TYP_ID, ACTV, VER_NBR)
VALUES ('RES-BOOT10064','KC-AWARD','countContactsByUnitAdministratorType','Returns number of Award contacts of specified unit admin type','java.lang.Integer','KC10001','Y','1');
REPLACE INTO KRMS_FUNC_PARM_T (FUNC_PARM_ID, NM, DESC_TXT, TYP, FUNC_ID, SEQ_NO)
VALUES ('RES-BOOT10115', 'award','Award BO', 'org.kuali.kra.award.home.Award','RES-BOOT10064',1);
REPLACE INTO KRMS_FUNC_PARM_T (FUNC_PARM_ID, NM, DESC_TXT, TYP, FUNC_ID, SEQ_NO)
VALUES ('RES-BOOT10116', 'unitAdministratorTypeCode','Unit Administrator Type Code', 'java.lang.String','RES-BOOT10064',2);


REPLACE INTO KRMS_TERM_SPEC_T (TERM_SPEC_ID, NM, TYP, ACTV, VER_NBR, DESC_TXT, NMSPC_CD)
VALUES ('RES-BOOT2147','RES-BOOT10064','java.lang.Integer','Y','1','Returns number of Award contacts of specified unit admin type','KC-AWARD');

REPLACE INTO KRMS_TERM_RSLVR_T (TERM_RSLVR_ID, NMSPC_CD, NM, TYP_ID, OUTPUT_TERM_SPEC_ID, ACTV, VER_NBR)
VALUES ('RES-BOOT2134','KC-AWARD','countContactsByUnitAdministratorType Resolver','KC1001','RES-BOOT2147','Y','1');
REPLACE INTO KRMS_TERM_RSLVR_PARM_SPEC_T (TERM_RSLVR_PARM_SPEC_ID, TERM_RSLVR_ID, NM, VER_NBR)
VALUES ('RES-BOOT2118','RES-BOOT2134','unitAdministratorTypeCode','1');

REPLACE INTO KRMS_TERM_SPEC_CTGRY_T (TERM_SPEC_ID, CTGRY_ID) VALUES ('RES-BOOT2147','KC1010');
REPLACE INTO KRMS_CNTXT_VLD_TERM_SPEC_T (CNTXT_TERM_SPEC_PREREQ_ID, CNTXT_ID, TERM_SPEC_ID, PREREQ)
VALUES ('RES-BOOT1087','KC-AWARD-CONTEXT','RES-BOOT2147','Y');

SET FOREIGN_KEY_CHECKS = 1;
