-- -
-- #%L
-- %%
-- Copyright (C) 2005 - 2021 Kuali, Inc. - All Rights Reserved
-- %%
-- You may use and modify this code under the terms of the Kuali, Inc.
-- Pre-Release License Agreement. You may not distribute it.
--
-- You should have received a copy of the Kuali, Inc. Pre-Release License
-- Agreement with this file. If not, please write to license@kuali.co.
-- #L%
-- -

DELIMITER /

-- insert new parameter type for COI certifications
INSERT INTO KRCR_PARM_T (NMSPC_CD,CMPNT_CD,PARM_NM,OBJ_ID,VER_NBR,PARM_TYP_CD,VAL,PARM_DESC_TXT,EVAL_OPRTR_CD,APPL_ID)
  VALUES ('KC-COIDISCLOSURE','Document','COI_CERTIFICATION_ACKNOWLEDGEMENT',UUID(),1,'CONFG','<p>I acknowledge that it is my responsibility to disclose any new SIGNIFICANT FINANCIAL INTERESTS obtained during the term of the above proposed project. I certify that this is a complete disclosure of all my financial interests related to the above proposed project.','Acknowledgement statement presented as part of the Disclosure document.','A','KC')
/
INSERT INTO KRCR_PARM_T (NMSPC_CD,CMPNT_CD,PARM_NM,OBJ_ID,VER_NBR,PARM_TYP_CD,VAL,PARM_DESC_TXT,EVAL_OPRTR_CD,APPL_ID)
  VALUES ('KC-COIDISCLOSURE','Document','COI_CERTIFICATION_STATEMENT',UUID(),1,'CONFG','<p>In accordance with the University''s policy on Disclosure of Financial Interests and Management of Conflict of Interest Related to Sponsored Projects, the Principal Investigator and all other Investigators who share responsibility for the design, conduct, or reporting of sponsored projects must disclose their personal SIGNIFICANT FINANCIAL INTERESTS in any non-profit foundation or for-profit company that might benefit from the predictable results of those proposed projects.</p><p>In addition, when the work to be performed under the proposed research project and the results of the proposed research project would reasonably appear to affect the Investigator''s SIGNIFICANT FINANCIAL INTEREST, the interest is regarded as being related to the proposed research project and must be reported.</p><p>For the purposes of this disclosure, SIGNIFICANT FINANCIAL INTEREST is considered to include:</p><ol>  <li>Income (Includes salary, stock dividends and/or interest earned, consulting fees, royalty payments and honoraria from a single business entity exceeding $10,000).</li><li>Position with a single business entity (Includes director, employee, founder, manager, officer, partner, trustee, or advisory board member).</li>  <li>Investment Ownership or Controlling Interest of more than 5% of the voting stock in a single business entity.</li><li>Interest in Intellectual Property Rights belonging to a single business entity (Includes patents, copyrights or other license rights).</li></ul>','Certification instructions presented as part of the Disclosure document.','A','KC')
/

DELIMITER ;
